.search-wrp {
	position: fixed;
	z-index: 900;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	overflow: hidden;
	transition: .8s;
	transform: translateX(100%);
	background-color: $main-bg-color;
	@include max-w($screen-md) {
		flex-wrap: wrap;
		overflow-y: visible;
  }
  &::-webkit-scrollbar {
    width: 0;
  }
	&__right-part {
		width: 65%;
		transition: .8s;
		transform: translateX(300%);
		background-color: $menu-left-bg-color;
		@include max-w($screen-xl) {
			width: 60%;
			margin: 0 auto;
			text-align: center;
		}
		@include max-w($screen-md) {
			width: 100%;
		}
		@include max-w($screen-sm) {
			width: 100%;
			padding-top: 20px;
			padding-bottom: 20px;
		}
		.content-wrp {
      &::-webkit-scrollbar {
        width: 0;
      }
      width: 100%;
			overflow-y: visible;
			transition: height 2s ease-in-out;
			padding: 100px 50px 0;
			&__active {
				overflow-y: scroll;
			}
			@include max-w($screen-xl) {
				padding: 70px 30px 0;
			}
			@include max-w($screen-md) {
        overflow: visible;
        padding: 30px 20px 0;
			}
		}
	}
	&__left-part {
		width: 35%;
		@include max-w($screen-xl) {
			width: 40%;
		}
		@include max-w($screen-lg) {
			padding-bottom: 20px;
		}
		@include max-w($screen-md) {
			width: 100%;
			margin-top: 50px;
		}
		@include max-w($screen-sm) {
			padding-bottom: 40px;
		}
		.content-wrp {
			max-width: 340px;
			opacity: 0;
		}
	}
}

.search-input {
  font-family: $bold-font !important;
  font-weight: $bold-font-w;
	font-size: $sub-title-font-size;
	text-align: center;
	padding-bottom: 5px !important;
	color: $text-color !important;
	border-bottom: 2px solid #000 !important;
	&::placeholder {
		color: $text-color;
	}
	@include max-w($screen-xl) {
		font-size: calc(#{$sub-title-font-size} * 0.85);
	}
}

.search-block-info {
	display: flex;
	overflow: hidden;
	margin: 0 auto;
	margin-bottom: 55px;
	color: $menu-item-color;
	animation: slide-in-blurred-left 0.8s cubic-bezier(0.230, 1.000, 0.320, 1.000) both;

	@include max-w($screen-xxxl) {
		margin-bottom: 35px;
	}
	@include max-w($screen-xxl) {
		margin-bottom: 22px;
	}
	@include max-w($screen-lg) {
		margin-bottom: 15px;
	}
	@include max-w($screen-md) {
		display: block;
	}
	&:hover {
		color: $menu-item-color;
	}
	&__image {
		margin-right: 50px;
    align-self: center;
    height: 150px;
		@include max-w($screen-xl) {
			margin-right: 30px;
    }
    @include max-w($screen-md) {
      margin: 0;
		}
	}
	&__title {
  // margin-left: auto;
  //   margin-right: auto;
  font-family: $title-font;
    font-weight: 400;
		font-size: $sub-title-font-size;
		line-height: $sub-title-font-line-height;
		transition: .3s;
		margin-top: 0;
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
		margin-bottom: 0;
		max-width: 50%;
		@include max-w($screen-xl) {
			font-size: calc(#{$sub-title-font-size} * 0.87);
		}
		@include max-w($screen-lg) {
			line-height: calc(#{$sub-title-font-line-height} * 0.87);
    }
    @include max-w($screen-md) {
      margin-left: auto;
      margin-right: auto;
		}
	}
	&__text {
  max-width: 50%;
		font-family: $bold-font;
		font-size: $font-size;
    font-weight: $bold-font-w;
    // margin-left: auto;
    // margin-right: auto;
		@include max-w($screen-xl) {
			font-size: calc(#{$font-size} * 0.87);
    }
    @include max-w($screen-md) {
      margin-left: auto;
      margin-right: auto;
		}
	}
}

@keyframes slide-in-blurred-left {
  0% {

    transform-origin: 100% 50%;
    filter: blur(40px);
    opacity: 0;
  }
  100% {

    transform-origin: 50% 50%;
    filter: blur(0);
    opacity: 1;
  }
}

$d: 1em;
$t: 1.5s;
.search__loading {
	position: absolute;
	.dot {
		background: $text-color;
		&,
		&:after {
			display: inline-block;
			width: $d;
			height: $d;
			border-radius: 50%;
			animation: a $t calc(((var(--i) + var(--o, 0))/var(--n) - 1)*#{$t}) infinite
		}
		&:after {
			--o: 1;
			background-color: $menu-left-bg-color;
			content: ''
		}
	}
	@keyframes a {
		0%,
		50% {
			transform: scale(0)
		}
	}
}